package cn.com.countrygarden.bi.main.model.performance.dto;

import cn.com.countrygarden.bi.main.model.hmWygl.TbHSPRRegionAvatarInfo;
import cn.com.countrygarden.bi.main.model.performance.PerformanceCompany;

import java.util.List;

/**
 * 绩效城市公司Dto，包含负责人信息
 */
public class PerformanceCompanyDto extends PerformanceCompany {
    private String imageUrl; //头像url
    private String Names;//负责人姓名
    private List<TbHSPRRegionAvatarInfo> commInfo;

    public PerformanceCompanyDto(){}

    public PerformanceCompanyDto(PerformanceCompany company){
        this.setComId(company.getComId());
        this.setHierarchyId(company.getHierarchyId());
        this.setHierarchyName(company.getHierarchyName());
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getNames() {
        return Names;
    }

    public void setNames(String names) {
        Names = names;
    }

    public List<TbHSPRRegionAvatarInfo> getCommInfo() {
        return commInfo;
    }

    public void setCommInfo(List<TbHSPRRegionAvatarInfo> commInfo) {
        this.commInfo = commInfo;
    }
}
